/*
 *	tardy - a tar post-processor
 *	Copyright (C) 1991-1993, 1995, 1998, 1999, 2001, 2002 Peter Miller;
 *	All rights reserved.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 *
 * MANIFEST: interface definition for common/error.c
 */

#ifndef COMMON_ERROR_H
#define COMMON_ERROR_H

#include <main.h>

void error(char *, ...);
void fatal(char *, ...);

void nerror(char *, ...);
void nfatal(char *, ...);

typedef void (*quit_ty)(int);
void quit_register(quit_ty);
void quit(int);

char *signal_name(int);

typedef void (*error_id_ty)(int *, int *);

void error_set_id_func(error_id_ty);

#endif /* COMMON_ERROR_H */
