/*
 *	tardy - a tar post-processor
 *	Copyright (C) 1998, 1999 Peter Miller;
 *	All rights reserved.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 *
 * MANIFEST: interface definition for common/tar/input/mode_clear.cc
 */

#ifndef COMMON_TAR_INPUT_MODE_CLEAR_H
#define COMMON_TAR_INPUT_MODE_CLEAR_H

#include <tar/input/filter_base.h>

class tar_input_mode_clear: public tar_input_filter_base
{
	 public:
	 virtual ~tar_input_mode_clear();
	 tar_input_mode_clear(tar_input *, long);
	 virtual int read_header(tar_header &);

	 private:
	 long bits;

	 tar_input_mode_clear();
	 tar_input_mode_clear(const tar_input_mode_clear &);
	 tar_input_mode_clear &operator = (const tar_input_mode_clear &);
};

#endif /* COMMON_TAR_INPUT_MODE_CLEAR_H */
